### Hierarchy

- TableExpandedRow

## Index

### Inputs

- expanded
- row
- skeleton

### Properties

- dataChildRow
- expandableRowClass
- expanded
- row
- skeleton

### Accessors

- displayStyle

### Methods

- firstExpandedDataInRow
- firstExpandedTemplateInRow

## Properties

### dataChildRow

@HostBinding({"hostPropertyName":"attr.data-child-row"})
dataChildRow: boolean = true

- Defined in src/table/body/table-expanded-row.component.ts:29

### expandableRowClass

@HostBinding({"hostPropertyName":"class.bx--expandable-row"})
expandableRowClass: boolean = true

- Defined in src/table/body/table-expanded-row.component.ts:27

### expanded

@Input()
expanded: boolean = false

- Defined in src/table/body/table-expanded-row.component.ts:31

### row

@Input()
row: any[]

- Defined in src/table/body/table-expanded-row.component.ts:23

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/body/table-expanded-row.component.ts:25

## Accessors

### displayStyle

@HostBinding({"hostPropertyName":"style.display"})
displayStyle:

- Defined in src/table/body/table-expanded-row.component.ts:33

## Methods

### firstExpandedDataInRow

- firstExpandedDataInRow(row: any): any

- - Defined in src/table/body/table-expanded-row.component.ts:45

  #### Parameters

  - ##### row: any

  #### Returns any

### firstExpandedTemplateInRow

- firstExpandedTemplateInRow(row: any): any

- - Defined in src/table/body/table-expanded-row.component.ts:37

  #### Parameters

  - ##### row: any

  #### Returns any

Generated using TypeDoc